%define		commit		27817e835fe115ebbda5410ec904aa49a2ad01f1
# %(c=%{commit}; echo ${c:0:7})
%define		shortcommit	27817e8
%define		cdate		20130702
%define		rel		12
Summary:	An open source Linux client for Google Drive
Name:		grive
Version:	0.3.0
Release:	0.%{cdate}git%{shortcommit}.%{rel}
License:	GPL v2
Group:		Applications/Networking
Source0:	https://github.com/Grive/grive/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# Source0-md5:	4f3c3411588f889801bd5b9297e6e2c9
# https://github.com/Grive/grive/issues/187
Patch0:		json-c.patch
Patch1:		%{name}-bgrive_cmake_fix.patch
Patch2:		build.patch
URL:		http://www.lbreda.com/grive/
BuildRequires:	QtCore-devel
BuildRequires:	binutils-devel
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	json-c-devel >= 0.11
BuildRequires:	libgcrypt-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel
BuildRequires:	yajl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of this project is to provide an independent
implementation of Google Drive client. It uses the Google Document
List API to talk to the servers in Google.

%package -n bgrive
Summary:	Qt frontend for %{name}
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description -n bgrive
GUI frontend for %{name}

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files -n bgrive
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bgrive
%changelog
* Tue Aug 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grive.git;a=log;h=master

* Tue Aug 04 2015 Jan Rękorajski <baggins@pld-linux.org> 97d4a9b
- release 12 (by relup.sh)

* Sun Jun 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 87b3d6f
- libbfd rebuild
- release 11 (by relup.sh)

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> da0bac4
- boost rebuild
- release 10 (by relup.sh)

* Sat Apr 11 2015 Jan Rękorajski <baggins@pld-linux.org> a7534ea
- release 9 (by relup.sh)

* Wed Feb 18 2015 Jan Rękorajski <baggins@pld-linux.org> 54a0f00
- fix json-c include paths
- rebuild with boost 1.57.0
- rel 8

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 38cfa9b
- release 7 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 363ec12
- rel 6

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 01b7905
- rel 5
- rebuild with boost 1.55.0

* Tue Jan 28 2014 Jan Rękorajski <baggins@pld-linux.org> deab361
- rel 4

* Wed Jan 22 2014 Jan Rękorajski <baggins@pld-linux.org> d7d65ec
- rel 3

* Tue Dec 31 2013 Łukasz Kieś <kiesiu@pld-linux.org> d1f17f7
- rebuild with ligcrypt 1.6.0; rel. 2

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> 057d544
- make c++ happy on 32-bit archs

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> a474356
- build with json-c 0.11

* Sun Dec 01 2013 Jan Rękorajski <baggins@pld-linux.org> 1b21bd2
- no comments after define

* Sun Dec 01 2013 Jan Rękorajski <baggins@pld-linux.org> 3f7cd1c
- hardcode shortcommit (distfiles can't grok that macro)
- cleanup rel

* Sun Dec 01 2013 Jan Rękorajski <baggins@pld-linux.org> 3a304ac
- add source0 md5, doesn't build though

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> a1d8306
- up to 0.3.0 snapshot 27817e8

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> c240bce
- release 6 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 2a46845
- release 5 (by relup.sh)

* Thu May 02 2013 Jan Rękorajski <baggins@pld-linux.org> e17becb
- release 4 (by relup.sh)

